!set title=Cálculo de la matriz inversa de una 4x4
!if $wims_read_parm!=$empty
 !goto $wims_read_parm
!endif
oef2wims_version=3.22
language=en
author=XIAO Gang
email=xiao@unice.fr
leftrange=-5.000000
rightrange=5.000000
precision=10000

ansorder=r
varcnt=7
prevarcnt=6
postvarcnt=0
replycnt=1
choicecnt=0
conditioncnt=0
feedbackcnt=0
format=html

val1=$imagedir
val2=$confparm1
val3=$confparm2
val4=$confparm3
val5=$confparm4

!if $testcondition=yes
 !goto test
!endif
!if $status=waiting
 !exit
!endif

val6=$[rint(3)]
tmp0=!randint -$val6, $val6

tmp1=!randint -$val6, $val6

tmp2=!randint -$val6, $val6

tmp3=!randint -$val6, $val6

tmp4=!randint -$val6, $val6

tmp5=!randint -$val6, $val6

tmp=!trim 1,$(tmp0),$(tmp1),$(tmp2)	0,1,$(tmp3),$(tmp4)	0,0,1,$(tmp5)	0,0,0,1
val7=!translate internal $	\
$ to ;; in $tmp
tmp0=!randint -$val6, $val6

tmp1=!randint -$val6, $val6

tmp2=!randint -$val6, $val6

tmp3=!randint -$val6, $val6

tmp4=!randint -$val6, $val6

tmp5=!randint -$val6, $val6

tmp=!trim 1,0,0,0	$(tmp0),1,0,0	$(tmp1),$(tmp2),1,0	$(tmp3),$(tmp4),$(tmp5),1
val8=!translate internal $	\
$ to ;; in $tmp
tmp0=!randint -$val6, $val6

tmp1=!randint -$val6, $val6

tmp2=!randint -$val6, $val6

tmp3=!randint -$val6, $val6

tmp4=!randint -$val6, $val6

tmp5=!randint -$val6, $val6

tmp=!trim 1,$(tmp0),$(tmp1),$(tmp2)	0,1,$(tmp3),$(tmp4)	0,0,1,$(tmp5)	0,0,0,1
val9=!translate internal $	\
$ to ;; in $tmp
t_=!replace internal \( by ( in print([$val7]*[$val8]*[$val9])
tmp0=!exec pari $t_

val10=$(tmp0)
t_=!replace internal \( by ( in print([$val10]^-1)
tmp0=!exec pari $t_

val11=$(tmp0)
replytype1=matrix
replyname1=A<sup>-1</sup>
replygood1=$val11
question=__EXECUTED_1692754_EXERCISE__

!goto stat

!exit

:question
$()Calcular la inversa de la matriz	<p><center>	 
!insmath A = [$val10] 
$()&nbsp;&nbsp;.	</center> <p>	
$()
!exit

:hint
$()
$()
!exit

:help
$()
$()
!exit

:solution
$()
$()
!exit

:feedback

!exit

:test

!exit

:stat
vsavelist=10
embedcnt=0
